# Interface ILevelParagraphStylePropertiesOptions

#### Hierarchy

- ILevelParagraphStylePropertiesOptions
  - IParagraphStylePropertiesOptions

- Defined in src/file/paragraph/properties.ts:18

#####
Index

### Properties

alignment?
contextualSpacing?
indent?
keepLines?
keepNext?
leftTabStop?
outlineLevel?
rightTabStop?
spacing?
thematicBreak?

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

- Defined in src/file/paragraph/properties.ts:19

### `Optional` `Readonly` contextualSpacing

contextualSpacing?: boolean

- Defined in src/file/paragraph/properties.ts:21

### `Optional` `Readonly` indent

indent?: IIndentAttributesProperties

- Defined in src/file/paragraph/properties.ts:24

### `Optional` `Readonly` keepLines

keepLines?: boolean

Specifies that all lines of the paragraph are to be kept on a single page when possible.

- Defined in src/file/paragraph/properties.ts:33

### `Optional` `Readonly` keepNext

keepNext?: boolean

Specifies that the paragraph (or at least part of it) should be rendered on the same page as the next paragraph when possible. If multiple paragraphs are to be kept together but they exceed a page, then the set of paragraphs begin on a new page and page breaks are used thereafter as needed.

- Defined in src/file/paragraph/properties.ts:29

### `Optional` `Readonly` leftTabStop

leftTabStop?: number

- Defined in src/file/paragraph/properties.ts:23

### `Optional` `Readonly` outlineLevel

outlineLevel?: number

- Defined in src/file/paragraph/properties.ts:34

### `Optional` `Readonly` rightTabStop

rightTabStop?: number

- Defined in src/file/paragraph/properties.ts:22

### `Optional` `Readonly` spacing

spacing?: ISpacingProperties

- Defined in src/file/paragraph/properties.ts:25

### `Optional` `Readonly` thematicBreak

thematicBreak?: boolean

- Defined in src/file/paragraph/properties.ts:20

Generated using TypeDoc